Subject: Re: [netmod] [Anima] Call for adoption: draft-richardson-anima-rfc8366bis, ends December 19th, 2021

From: Michael Richardson <[email-masked]>
Date: Tue, 11 Jan 2022 20:24:32 -0500

Qin Wu <[email-masked]> wrote:
    >> Are you saying that we should update to RFC8791?  Do you think that
    >> this is a bug-fix?

    > [Qin Wu] No, have clarified in the separate message, I think both
    > yang-data and sx:structure can be used, but sx:structure is not
    > targeted to replace yang-data, but RESTCONFbis in the future may
    > consider to decouple yang-data from RFC8040.

I have not yet merged https://github.com/anima-wg/voucher/pull/17
when producing draft-ietf-anima-rfc8366-00.

I would like the WG to review the results a bit more first, and I would like
a bit more assurance that moving from RESTCONF->RFC8791 would be considered an
acceptable bug fix when going from Proposed Standard to Internet Standard.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Qin Wu <[email-masked]>
Date: Tue, 18 Jan 2022 10:10:35 +0000

Hi, Michael and All:
-----邮件原件-----
发件人: Michael Richardson [mailto:[email-masked]] 
发送时间: 2022年1月12日 9:25
收件人: Qin Wu <[email-masked]>; [email-masked]; [email-masked]
主题: Re: [Anima] Call for adoption: draft-richardson-anima-rfc8366bis, ends December 19th, 2021

I would like the WG to review the results a bit more first, and I would like a bit more assurance that moving from RESTCONF->RFC8791 would be considered an acceptable bug fix when going from Proposed Standard to Internet Standard.
[Qin Wu] I am wondering when the name of the structure is encoded as a
   "container" and such structure contains multiple leafs, whether we should have a separate container, let's say container A to wrap all the leaf nodes, from space convention in section 3 of RFC8791, 
structure <structure-name>:
       +--<node>
          +--<node>
          |  +--<node>
          +--<node>
It seems to me that one separate container node A under "structure <structure-name>" is needed, the benefit to add a separate container A is when you augment structure <structure-name>, you can easily introduce additional leaf node under container A.
But I am not sure add multiple leaf node directly under structure <structure-name> is really **allowed**?, since we don't have too many consumer of RFC8791, can Martin or Andy help answer this since you are authors of this work. @Martin and Andy, Thanks!
--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide